Bug 1415091 - AX88772A Ethernet USB Stick not working with kernel-4.9 [NEEDINFO]
Summary: AX88772A Ethernet USB Stick not working with kernel-4.9
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 25
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-20 08:54 UTC by Matthias
Modified: 2019-01-09 12:54 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-28 17:15:17 UTC
Type: Bug
jforbes: needinfo?


Attachments (Terms of Use)

Description Matthias 2017-01-20 08:54:55 UTC
Description of problem:
100MBit Ethernet USB stick with ASIX Electronics Corp. AX88772A chip (according to lsusb) does not work with kernel 4.9. It works with kernel 4.8.

With kernel 4.9 the stick is shown in the list when running lsusb, but NetworkManager will not detect the stick.

With kernel 4.8 NetworkManager will automatically establish a connection.

The system is up to date (as of 20.1.2017).

Version-Release number of selected component (if applicable):
Not working:
kernel-4.9.3-200.fc25
kernel-4.9.4-201.fc25

Working:
kernel-4.8.16-300.fc25

How reproducible:

Steps to Reproduce:
1. Boot F25 with kernel 4.9.
2. NetworkManager will not detect the stick

3. Boot F25 with kernel 4.8
4. NetworkManager will establish a connection

Comment 1 Matthias 2017-01-22 09:59:29 UTC
linux-firmware-20161205-69.git91ddce49.fc25 and kernel-4.9.5-200.fc25 updates did not fix the problem.

Comment 2 Justin M. Forbes 2017-04-11 14:42:31 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.

Comment 3 Justin M. Forbes 2017-04-28 17:15:17 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the 
relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.